import { EventEmitter } from '@angular/core';
import { NgbModal, NgbModalOptions, NgbModalRef } from '@ng-bootstrap/ng-bootstrap';
import { IModalOptions } from '../../models/modals/modal-options.interface';
export declare class ModalService {
    private modalService;
    constructor(modalService: NgbModal);
    static appendClasses(original: string, toAppend: string[]): string;
    isOpen: boolean;
    modalOpenChange$: EventEmitter<boolean>;
    open(content: any, options?: NgbModalOptions): NgbModalRef;
    openAside(content: any, options?: NgbModalOptions): NgbModalRef;
    alert(title: string, message: string, options?: IModalOptions): void;
    confirm(title: string, message: string, options?: IModalOptions): EventEmitter<boolean>;
    processOptions(title: string, message: string, options: IModalOptions): IModalOptions;
    onOpen(): void;
    onClose(): void;
}
